Subject: Re: jgit and ignore

From: "Ferry Huberts (Pelagic)" <[email-masked]>
Date: Sun, 01 Mar 2009 11:11:48 +0100

Shawn O. Pearce wrote:
> Jon Smirl <[email-masked]> wrote:
>> I'm using jgit in eclipse. Works great for me.
>  
> Yay!
> 
>> I have a couple of generated files in my working directory. There
>> doesn't seem to be any UI for ignoring them. Is it there and I just
>> can't find it?
> 
> EGit doesn't (yet) honor the .gitignore files like it should. Someone
> (Ferry i-forget-the-rest-of-his-name) is working on adding ignore
> support and has patches in flight for at least some of it.
> 
Ferry i-do-remember-my-name Huberts is working on it :-)

I have most of it working in a basic form already but am currently
refactoring things to take care of some nasty little details.
Expect something to arrive within (my best guesstimate) about 3 to 4
weeks. after next week I'll be skiing for a week, so no coding then :-)

For the new functionality:
You don't really need a UI: just add a .gitignore file with a pattern
and the plugin will pick it up and show you what is ignored by means of
a nice little decoration.

Ferry